export const followStatusList = [
  { value: "all",label: "全部"},
  { value: "1",label: "随访成功"},
  { value: "2", label: "失访" },
  { value: "3", label: "死亡"},
]
export const selectMonths = [
  { label: "1月", value: "1月"},
  { label: "2月", value: "2月"},
  { label: "3月", value: "3月"},
  {label: "4月",value: "4月"},
  {label: "5月",value: "5月"},
  {label: "6月",value: "6月",},
  {label: "7月",value: "7月"},
  {label: "8月",value: "8月"},
  {label: "9月",value: "9月"},
  {label: "10月",value: "10月"},
  {label: "11月",value: "11月"},
  {label: "12月",value: "12月"},
]
export const selectTimes = [
  {label: "年",value: "年"},
  {label: "月",value: "月"},
  {label: "日",value: "日"},
  {label: "周",value: "周"},
]
export const repeatList = [
  {label: "不重复",value: 0,},
  {label: "每月",value: 2,},
  {label: "每三个月",value: 3,},
  {label: "每半年",value: 4,},
  {label: "每年",value: 5},
  {label: "自定义",value: 1}
]

export const timeOptions = [
  {value: "0",label: "当天9：00",},
  {value: "12",label: "1天前（9：00）",},
  {value: "2",label: "2天前（9：00）",},
  {value: "3",label: "一周前（9：00）",},
  {value: "4",label: "两周前（9：00）",},
  {value: "5",label: "无",},
]

export const numType = {
  0: '一',
  1: '二',
  2: '三',
  3: '四',
  4: '五',
  5: '六'
}
export const baseStatus = [
  {
    status: "1",
    title: "待完成",
    class: "un-start",
    canEdit: true,
  },
  {
    status: "2",
    title: "完成",
    class: "follow-success",
  },
  {
    status: "3",
    title: "逾期",
    class: "follow-success",
    canEdit: true
  },
  {
    status: "4",
    title: "暂存",
    class: "un-start",
    canEdit: true,
  },
  {
    status: "5",
    title: "待补充",
    class: "un-start",
    canEdit: true,
  },
]
// export const baseStatus = [
//   {
//     status: "0",
//     title: "待完成",
//     class: "un-start",
//     canEdit: true,
//   },
//   {
//     status: "1",
//     title: "失访",
//     class: "follow-last",
//   },
//   {
//     status: "2",
//     title: "死亡",
//     class: "follow-dead",
//   },
//   {
//     status: "3",
//     title: "逾期待完成",
//     class: "out-time-un-finish",
//     canEdit: true,
//   },
//   {
//     status: "4",
//     title: "完成",
//     class: "follow-success",
//   },
//   {
//     status: "5",
//     title: "逾期完成",
//     class: "out-time-finish",
//   },
//   {
//     status: "6",
//     title: "暂存",
//     class: "un-start",
//     canEdit: true,
//   },
//   {
//     status: "7",
//     title: "待补充",
//     class: "un-start",
//     canEdit: true,
//   },
// ]

//口腔溃疡等级
export const mouthUlcerArr = [
  { label: '等级0：无变化', value: 1},
  { label: '等级1：疼痛/红斑', value: 2},
  { label: '等级2：疼痛/红斑合并溃疡，可进食固体食物', value: 3},
  { label: '等级3：疼痛/红斑合并溃疡，仅可进食流质', value: 4},
  { label: '等级4：疼痛/红斑合并溃疡，无法由口进食', value: 5},
]
//intakeLevel
export const intakeLevel = [
  { label: '25%-50%', value: 1},
  { label: '51%-75%', value: 2},
  { label: '76%-100%', value: 3},
]
export const shapeArr = [
  { label: '软便', value: 1},
  { label: '糊便', value: 2},
  { label: '水便', value: 3},
]
export const constipationHandleArr = [
  { label: '自解', value: 1},
  { label: '服用药物', value: 2},
  { label: '灌肠', value: 3},
  { label: '挖便', value: 4},
]
export const diarrheaDict = [
  { label: '未处置', value: 1},
  { label: '服用药物', value: 2},
]
//计划随访时间限制的options
export const expireTimeOption = {
  disabledDate(date) {
    return date.getTime() < Date.now() - 24 * 60 * 60 * 1000;
  },
}
//临时随访时间限制的options，只能当前及之前
export const expireTimeOption01 = {
  disabledDate(date) {
    return date.getTime() > Date.now() - 8.64e6
  },
}
export const colorClass = {
  门诊: "menzhen",
  MDT: "mdt",
  住院: "zhuyuan",
  随访: "suifang",
}
export const followshape = {
  1: '电话',
  2: '微信',
  3: '其他'
}