import AegleMdtDashbord from './AegleMdtDashbord/index.js'
import AeglePreview from './AeglePreview/index'
import ResizeContainer from './ResizeContainer/index'
import AegleFollow from './AegleFollow/index'
import AeglePain from './AeglePain/index'
import AegleDiscomfort from './AegleDiscomfort/index.js'
// import AegleFollowTask from './AegleFollowTask/index.js'
import AegleCancerDialog from './AegleCancerDialog/index.js'
import AegleImgView from './AegleImgView/index.js'
import AegleDropSel from './AegleDropSel/index.js'
import AegleTitle from './AegleTitle/index.js'
import AegleEllipsis from './AegleEllipsis/index.js'
import AegleAddFollow from './AegleAddFollow/index.js'
import AegleTumorBord from './AegleTumorBord/index.js'
const components = [
    AegleMdtDashbord,
    AeglePreview,
    ResizeContainer,
    AegleFollow,
    AeglePain,
    AegleDiscomfort,
    // AegleFollowTask,
    AegleCancerDialog,
    AegleImgView,
    AegleDropSel,
    AegleTitle,
    AegleEllipsis,
    AegleAddFollow,
    AegleTumorBord
]
const install = function(Vue, opt) {
    components.forEach(component => {
        Vue.component(component.name, component);
    });
}
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}
export default {
    install,
    // AegleMdtDashbord,
    // AeglePreview,
    // ResizeContainer,
    // AegleFollow,
    // AeglePain,
    // AegleDiscomfort,
    // // AegleFollowTask,
    // AegleCancerDialog,
    // AegleImgView,
    // AegleDropSel,
    // AegleTitle,
    // AegleEllipsis,
    // AegleAddFollow,
    // AegleTumorBord
    ...components
}