export default {
    methods: {
         // 表头样式
        mdtTheadClass() {
            return "text-align: left;background:#F3F4F8; color:#000; padding-left:10px;line-height: 42px;height: 42px;padding: 0 0 0 15px";
        },
        // 表格-行样式
        mdtTrowClass() {
            return "text-align: left; line-height: 40px;height: 40px;padding:0 0 0 15px";
        },
        rowDClass() {
            return "text-align: left; line-height: 55px;height: 55px;padding:0 0 0 15px";
        },
        rowOutDClass() {
            return "padding: 0; text-align: left; line-height: 55px;height: 55px;";
        },
        //外院医生表头样式
        outHeadClass() {
            return "text-align: left;background:#F3F4F8; color:#000; padding-left:0px;line-height: 42px;height: 42px;padding: 0 0 0 0px";
        },
        //判断医生的类型的权限
        hasMdtAuthority(data,id) {
            //1,核心cm,2:主管,3:主诊,4:参会医生,5非参会医生
            if(!Array.isArray(data)) return 0;
            const arr = data.filter(item => item.doctorId == id);
            const docType = {
                "个案管理师": 1,
                "核心主管医生": 2,
                "主诊医生": 3
            }
            if(arr.length) {
                if(arr[0].hasOwnProperty('role') && arr[0].role){
                    return docType[arr[0].role]
                } else {
                    return 4
                }
            }
            return 5
        }
    }
}
